From 74bb70774a25d4a07d4bc59db730d750e0a8b32d Mon Sep 17 00:00:00 2001
From: Andres Freund <andres@anarazel.de>
Date: Thu, 12 May 2022 09:25:14 -0700
Subject: [PATCH v1 4/4] Remove function declaration for function in pg_proc.

The declaration is automatically generated. Noticed when experimenting with
adding PGDLLIMPORT markers for functions.

Author:
Reviewed-By:
Discussion: https://postgr.es/m/
Backpatch:
---
 src/backend/replication/logical/launcher.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/src/backend/replication/logical/launcher.c b/src/backend/replication/logical/launcher.c
index d59707e4d55..d7841a28acb 100644
--- a/src/backend/replication/logical/launcher.c
+++ b/src/backend/replication/logical/launcher.c
@@ -42,6 +42,7 @@
 #include "storage/procarray.h"
 #include "storage/procsignal.h"
 #include "tcop/tcopprot.h"
+#include "utils/builtins.h"
 #include "utils/memutils.h"
 #include "utils/pg_lsn.h"
 #include "utils/ps_status.h"
@@ -75,8 +76,6 @@ static void logicalrep_worker_cleanup(LogicalRepWorker *worker);
 
 static bool on_commit_launcher_wakeup = false;
 
-Datum		pg_stat_get_subscription(PG_FUNCTION_ARGS);
-
 
 /*
  * Load the list of subscriptions.
-- 
2.35.1.677.gabf474a5dd

